.header {
    position: relative;
    
    overflow: hidden;

    width: calc(100% - 40px);

    background: linear-gradient(0deg, #0041A3 0%, #0163F7 100%);

    display: flex;
    justify-content: center;
    align-items: start;

    padding-top: 140px;
    padding-bottom: 50px;

    padding-left: 20px;
    padding-right: 20px;
}

.header__container {
    z-index: 1;

    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;
}

.header__container-titulo {
    font-family: 'Exo 2', sans-serif;
    font-size: 80px;

    color: white;
}

.header__container-titulo span {
    color: #FFC107;
}

.header__container-subtitulo {
    font-family: 'Roboto', sans-serif;
    font-size: 30px;

    max-width: 500px;

    color: white;
}

.header__container-button {
    font-family: 'Roboto', sans-serif;
    font-size: 22px;
    font-weight: 700;

    padding: 15px 35px 15px 35px;

    background-color: #FFC107;
    color: #1C1C1C;

    border-radius: 8px;
    border: none;
    border-bottom: 5px solid #D8A50B;
    border-right: 5px solid #D8A50B;

    cursor: pointer;
}

.header__imagem {
    z-index: 1;

    margin-left: -90px;
    margin-top: 20px;

    max-width: 500px;
}

.header__decoracao {
    position: absolute;
    z-index: 0;

}

.header__decoracao:nth-of-type(2) {
    left: 0;
    top: 0;

    transform: translateY(-50%) translateX(-50%);
}

.header__decoracao:nth-of-type(3) {
    right: 0;
    bottom: 0;

    transform: translateY(50%) translateX(50%);
}

.header__redesocial {
    z-index: 3;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.header__redesocial-linha {
    width: 2px;
    height: 210px;

    background-color: white;
}

.header__redesocial img {
    width: 40px;
    height: 40px;
}


@media screen and (max-width: 1001px) {
    .header__container-titulo {
        font-size: 60px;
    }
    .header__container-subtitulo {
        font-size: 25px;

        max-width: 390px;
    }

    .header__imagem {
        max-width: 450px;
    }

    .header__redesocial-linha {
        height: 175px;
    }

    .header__redesocial img {
        width: 30px;
        height: 30px;
    }
}

@media screen and (max-width: 815px) {
    .header__container-titulo {
        font-size: 50px;
    }
    .header__container-subtitulo {
        font-size: 22px;

        max-width: 340px;
    }

    .header__imagem {
        max-width: 400px;
    }

    .header__redesocial-linha {
        height: 175px;
    }

    .header__redesocial img {
        width: 30px;
        height: 30px;
    }
}


@media screen and (max-width: 701px) {
    .header {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
        
        padding-top: 100px;
    }

    .header__container {
        z-index: 2;
        align-items: center;

        margin-top: -80px;

        width: 100%;

        order: 2;
    }

    .header__container-titulo {
        font-size: 50px;
        font-weight: 800;

        text-align: center;
    }

    .header__container-subtitulo {
        font-size: 22px;

        max-width: 450px;
        
        text-align: center;
    }

    .header__imagem {
        margin-left: 0px;

        max-width: 400px;

        order: 1;
    }

    .header__redesocial {
        flex-direction: row;
        align-items: center;

        order: 3;

        width: 100%;
    }

    .header__redesocial-linha {
        width: 100%;
        height: 2px;

        background-color: white;
    }

    .header__redesocial img {
        width: 40px;
        height: 40px;
    }

}